Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class OneToOneSecondPass

    java.lang.Object
      org.hibernate.cfg.OneToOneSecondPass

All Implemented Interfaces:
  Serializable, org.hibernate.cfg.SecondPass

    public class OneToOneSecondPass

extends Object
implements org.hibernate.cfg.SecondPass

We have to handle OneToOne in a second pass because: -

See Also:
  Serialized Form

Constructor Summary
`OneToOneSecondPass(String mappedBy, String ownerEntity, String ownerProperty, PropertyHolder propertyHolder, PropertyData inferredData, XClass targetEntity, boolean ignoreNotFound, boolean cascadeOnDelete, boolean optional, String cascadeStrategy, Ejb3JoinColumn[] columns, ExtendedMappings mappings)`

Method Summary
`void` | `doSecondPass(Map persistentClasses, Map inheritedMetas)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneToOneSecondPass

    public OneToOneSecondPass(String mappedBy,
                              String ownerEntity,
                              String ownerProperty,
                              PropertyHolder propertyHolder,
                              PropertyData inferredData,
                              XClass targetEntity,
                              boolean ignoreNotFound,
                              boolean cascadeOnDelete,
                              boolean optional,
                              String cascadeStrategy,
                              Ejb3JoinColumn[] columns,
                              ExtendedMappings mappings)

Method Detail

### doSecondPass

    public void doSecondPass(Map persistentClasses,
                             Map inheritedMetas)
                      throws org.hibernate.MappingException

  Specified by:
    `doSecondPass` in interface `org.hibernate.cfg.SecondPass`
  Throws:
    `org.hibernate.MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD